DBManager (The Data Transfer Scheduler DB interface 2.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.scheduler.db

## Class DBManager

- java.lang.Object
- - org.gcube.datatransfer.scheduler.db.DBManager

- Direct Known Subclasses:
    DataTransferDBManager

      public abstract class DBManager
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DBManager.BaseConsumer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static File` | `backupFolder`
    `protected static int` | `backupIntervalMS`
    `protected String` | `dbFileBaseFolder` dbFileName is used to open or create files that hold the state of the db.
    `protected String` | `dbFileName`
    `protected String` | `dbName`
    `protected javax.jdo.PersistenceManagerFactory` | `persistenceFactory`
    `protected static Properties` | `prop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBManager()` Constructor for SQLDBManager

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Shutdown the db and close the connection to the db.
    `String` | `getScheduledBackupInHours()`
    `boolean` | `startBackUp()`
    `protected void` | `zipFolder(File[] files)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### persistenceFactory

          protected javax.jdo.PersistenceManagerFactory persistenceFactory

    - #### backupFolder

          protected static File backupFolder

    - #### prop

          protected static Properties prop

    - #### dbFileBaseFolder

          protected String dbFileBaseFolder

      dbFileName is used to open or create files that hold the state of the db. It can contain directory names relative to the current working directory

    - #### dbFileName

          protected String dbFileName

    - #### dbName

          protected String dbName

    - #### backupIntervalMS

          protected static int backupIntervalMS

  - ### Constructor Detail

    - #### DBManager

          public DBManager()

      Constructor for SQLDBManager

  - ### Method Detail

    - #### close

          public void close()
                     throws Exception

      Shutdown the db and close the connection to the db.
      Throws:
        `Exception`

    - #### startBackUp

          public boolean startBackUp()

    - #### zipFolder

          protected void zipFolder(File[] files)
                            throws Exception

      Throws:
        `Exception`

    - #### getScheduledBackupInHours

          public String getScheduledBackupInHours()

Copyright © 2018. All Rights Reserved.